Description

Hello. I'd like some advice about weighting variable. I'm using UKHLS waves 1 through 7, individual data.
When | ran svy command in Stata, the number of observations shrink due to zero. | tried iweight but it's not fixed.

svyset psu [pw=my_Iw], strata(strata) singleunit(centered)
svyset psu [iw=my_lw], strata(strata) singleunit(centered) // iweight applied for experiment

| am aware that any participant who missed any survey wave, gets zero weight, thus when | copied 2015 weight to the rest of waves,
this generated a large proportion of zero weight.

Is there any fix for this, please, and should I? Or should | just report and explain ?

The code below is from user manual.

* my longitudinal weight
tab wave

/*copy the LAST wave's value over to previous waves
gen my_lw = indinus_Iw
bysort pidp (year) : replace my_Iw = my_Iw[_N]

Thank you and | really appreciate your support.

History

#1 - 06/23/2019 12:22 PM - Alita Nandi
- Assignee set to Olena Kaminska

- Private changed from Yes to No
#2 - 06/23/2019 12:25 PM - Alita Nandi
Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

Best wishes,
Understanding Society User Support Team

#3 - 06/24/2019 02:48 PM - Olena Kaminska
Hello,

Don't worry about zero values of weights - as long as you use weights and adjust for clustering and stratification your results are representative. You
don't need to report about zero weights in your paper either. Just say that you are using weighted analysis.

If you are using waves 1 through 7 your weights should come from wave 7 (unless you are using long format of the data).

Hope this helps,
Olena

#4 - 06/26/2019 08:55 AM - Alita Nandi
- % Done changed from 0 to 80

#5 - 06/26/2019 08:55 AM - Alita Nandi

- Assignee changed from Olena Kaminska to Sook Kim

#6 - 08/07/2019 11:32 AM - Stephanie Auty

- Status changed from New to Feedback
#7 - 08/10/2022 11:51 AM - Understanding Society User Support Team
- Category set to Weights
- Status changed from Feedback to Resolved

- % Done changed from 80 to 100
